Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Class JRVisiableResult

    java.lang.Object
      jet.datastream.JRObjectResult
          jet.datastream.JRVisiableResult

All Implemented Interfaces:
  java.lang.Cloneable, PropertySetable

    public class JRVisiableResult

extends JRObjectResult

This object provide x,y, width, height and specify the methods of saving, restoring the UDO object. The save and resotre operation are work on a stream which is used to store JReport system report result.

Constructor Summary
`JRVisiableResult()` Constructor.

Method Summary
`void` | `addCompLevelValue(java.lang.String name, DbValue value)` put a formla value into hashtable
`java.lang.Object` | `clone()`
`JRVisiableResult` | `dup(JRVisiableResult obj)`
`java.util.Hashtable` | `getAllCompLevelValues()`
`java.lang.String` | `getAnchor()`
`java.awt.Rectangle` | `getBounds()` Get the bounds of this visiable object.
`java.lang.Object` | `getCompLevelValue(java.lang.String name)` get value from hashtable
`int` | `getHeight()`
`int` | `getIncreasedHeight()`
`java.awt.Rectangle` | `getInnerBounds()`
`int` | `getInnerHeight()`
`int` | `getInnerWidth()`
`int` | `getInnerX()`
`int` | `getInnerY()`
`Propertiable` | `getPropertyByName(java.lang.String propertyName)` over write from super
`Propertiable` | `getPropertyByName(java.lang.String propertyName, Record record)` over write from super
`int` | `getStartXPos()`
`int` | `getStartYPos()`
`java.awt.Rectangle` | `getUnitBounds()`
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isNeedAd()`
`void` | `setAd(boolean needAd)`
`void` | `setAllCompLevelValues(java.util.Hashtable table)`
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setHeight(int height)`
`void` | `setStartXPos(int startX)`
`void` | `setStartYPos(int startY)`
`void` | `setWidth(int width)`
`void` | `setX(int x)`
`void` | `setY(int y)`

Methods inherited from class jet.datastream.JRObjectResult
`dump, dup, getCalculateRecord, getCommunicator, getJetObjInstName, getLinkComm, getLinkCondition, getLinkPage, getObjectType, getParent, getProperties, getProperty, getRecord, getResolution, getSection, getTableRow, getTemplate, getTemplateIndex, getUDOName, isDirty, setDirty, setLink, setNLSManager, setParent, setTemplate, setTemplateIndex, UTFLength`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRVisiableResult

    public JRVisiableResult()

  Constructor.

Method Detail

### setStartYPos

    public final void setStartYPos(int startY)

### setStartXPos

    public final void setStartXPos(int startX)

### getStartYPos

    public final int getStartYPos()

### getStartXPos

    public final int getStartXPos()

### setX

    public final void setX(int x)

### getX

    public final int getX()

### setY

    public final void setY(int y)

### getY

    public final int getY()

### setWidth

    public final void setWidth(int width)

### getWidth

    public final int getWidth()

### setHeight

    public final void setHeight(int height)

### getHeight

    public final int getHeight()

### getInnerX

    public final int getInnerX()

### getInnerY

    public final int getInnerY()

### getInnerWidth

    public final int getInnerWidth()

### getInnerHeight

    public final int getInnerHeight()

### getInnerBounds

    public final java.awt.Rectangle getInnerBounds()

### getBounds

    public final java.awt.Rectangle getBounds()

  Get the bounds of this visiable object.

### getUnitBounds

    public final java.awt.Rectangle getUnitBounds()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `JRObjectResult`

### dup

    public JRVisiableResult dup(JRVisiableResult obj)

### getIncreasedHeight

    public int getIncreasedHeight()

### setAnchor

    public void setAnchor(java.lang.String anchor)

### getAnchor

    public java.lang.String getAnchor()

### setAd

    public void setAd(boolean needAd)

### isNeedAd

    public boolean isNeedAd()

### addCompLevelValue

    public void addCompLevelValue(java.lang.String name,
                                  DbValue value)

  put a formla value into hashtable

### getCompLevelValue

    public java.lang.Object getCompLevelValue(java.lang.String name)

  get value from hashtable

  Parameters:
    `name` -
  Returns:

### getPropertyByName

    public Propertiable getPropertyByName(java.lang.String propertyName,
                                          Record record)

  over write from super

  Overrides:
    `getPropertyByName` in class `JRObjectResult`

### getPropertyByName

    public Propertiable getPropertyByName(java.lang.String propertyName)

  over write from super

  Specified by:
    `getPropertyByName` in interface `PropertySetable`
  Overrides:
    `getPropertyByName` in class `JRObjectResult`

### getAllCompLevelValues

    public java.util.Hashtable getAllCompLevelValues()

### setAllCompLevelValues

    public void setAllCompLevelValues(java.util.Hashtable table)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD